Проблема то ли с Java 64bit, то ли с X11 и 64bit-приложением


Главная Форумы POWER Systems AIX/Hardware Проблема то ли с Java 64bit, то ли с X11 и 64bit-приложением

В этой теме 10 ответов, 2 участника, последнее обновление  gantipov 8 года/лет, 2 мес. назад.

  • Автор
    Сообщения
  • #5264

    gantipov
    Участник

    Коллеги, при инсталляции SAP возникла проблема, может быть кто-нибудь сталкивался или поможет с диагностированием?

    AIX 5.3. На сервере стоят две версии Java (1.4.0.2 и 5) 32-bit, установленные по умолчанию вместе с ОС. Ставлю дополнительно 64-х битную версию 1.4.0.2, потому что именно она требуется для установки SAP. В переменных окружения прописывается путь к новой джаве (сначала просто export делал, потом надоело и прописал в etc/profile).

    Дальше — запускаем инсталлер SAP. Он работает через GUI, то есть на клиенте, с которого консолью сидим в AIX, открывается окошко и в нём кликается мышкой. И вот если использовать Java 64bit, окошко не открывается, инсталлер висит на порту и ждёт до бесконечности. Если же прописывать инсталлеру вместо путей к Java 64bit пути к Java 32bit, то инсталлер запускает окошко и всё нормально, проблема только в том, что нужно устанавливать именно с 64bit-ной версией Java.

    Соответственно, не могу понять даже, куда копать: то ли это Java не работает, то ли иксы 64-х битное приложение некорректно обрабатывают. При этом всякие startx открываются без проблем. Буду благодарен если хотя бы подскажете, как это проверить.

  • #5269

    roman
    Участник

    Обратите внимание на следующие вещи:
    1) какую версию Java вы используете
    2) какой X-сервер у вас установлен на клиентской машине

  • #5270

    gantipov
    Участник

    java full version «J2RE 1.4.2 IBM AIX 5L for PowerPC (64 bit JVM) build caix64142-20080122 (SR10)»
    В качестве X-клиента используется xshell, но мне кажется не в этом проблема, ведь startx запускается без проблем, более того, при попытке запустить на другой аналогичной машине, существующей в инфраструктуре, с теми же версиями AIX и Java, всё работает.

  • #5271

    roman
    Участник

    Обратите внимание на следующую ноту
    Note 1170809 — Inst. with SAPinst: Support of X Servers on MS Windows
    Как альтернативное решение могу посоветовать запускать SAPInst GUI удаленно

  • #5272

    gantipov
    Участник

    Да, всё верно, xshell запускается в виндовс. Если подсовывать другую Java, инсталлер запускается без проблем.
    А удалённо — это в каком смысле? И так вроде удалённо запускаем, из-под виндового клиента, или я чего-то не понимаю?

  • #5276

    roman
    Участник

    Выдержка из ноты 1170809:
    «The standard way to install using SAPinst is where SAPinst, SAPinst GUI, and the GUI server are running on the same host and on the local display.
    If you need to see the installation on a remote display, we recommend you perform a remote installation with SAPinst, where SAPinst GUI is running on a separate host from SAPinst and the GUI server. For more information, see «Performing a Remote Installation with SAPinst (Optional)» in the installation guide.»

    Таким образом, вы должны запустить на сервере (AIX) только SAPInst без GUI среды, а SAPInst GUI (и, возможно, GUI сервер) локально на своей рабочей станции (MS Windows), т.е. не пользуйтесь никакими X серверами. Как это сделать, читайте installation guide и обратите внимание на параметры запуска SAPInst.

  • #5278

    gantipov
    Участник

    Спасибо за ссылку! Но таким путём заработал только SR10, а SR13 не заработал… причём на третьей машине ни тот, ни другой релиз не работает… поставил vnc-сервер на AIX, подключился — то же самое: 32-х битная джава запускает, 64-х битная — нет…

  • #5279

    gantipov
    Участник

    Похоже, решил проблему. А была она в том, что лимиты (ulimits) по какой-то причине оставались ограниченными, хотя я прописывал -1 в нужных местах. Видимо, 32-х битной джаве места хватало, а 64-х битной уже нет. Странно, что никак не ругалась, просто висела в ожидании подключения иксов.

    Прописал жёстко по дефолту в /etc/security/limits , удалил в этом файле все записи для root — и заработало! По крайней мере, на одной машине, когда на всех остальных пройдёт или не пройдёт, отпишусь о результатах.

  • #5284

    roman
    Участник

    А можно поподробнее узнать:
    1) версия SAP
    2) версия AIX
    3) сервер IBM
    4) команды запуска SAPInst

  • #5288

    gantipov
    Участник

    По поводу версии SAP ничего сегодня сказать не могу, завтра, машина power550 (8204-E8A), oslevel -r 5300-10.
    Инсталлер запускается тупо без ключей ./sapinst

  • #5293

    gantipov
    Участник

    версии SAP:
    ERP5005
    SCM50
    NW2004

    SR2

    Отписываюсь, как обещал: всё запускается без проблем после описанных изменений.

Для ответа в этой теме необходимо авторизоваться.